org.omg.CosNaming

## Class BindingIteratorHelper

- java.lang.Object
- - org.omg.CosNaming.BindingIteratorHelper

    public abstract class BindingIteratorHelper
    extends Object

The BindingIterator interface allows a client to iterate through the bindings using the next_one or next_n operations. The bindings iterator is obtained by using the `list` method on the `NamingContext`.

See Also:
  `NamingContextOperations.list(int, org.omg.CosNaming.BindingListHolder, org.omg.CosNaming.BindingIteratorHolder)`

### Constructor Summary

Constructors
Constructor and Description
`BindingIteratorHelper()`

### Method Summary

Methods
`static BindingIterator` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, BindingIterator that)`
`static BindingIterator` `narrow(Object obj)`
`static BindingIterator` `read(InputStream istream)`
`static TypeCode` `type()`
`static BindingIterator` `unchecked_narrow(Object obj)`
`static void` `write(OutputStream ostream, BindingIterator value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BindingIteratorHelper

    public BindingIteratorHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              BindingIterator that)

#### extract

    public static BindingIterator extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static BindingIterator read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             BindingIterator value)

#### narrow

    public static BindingIterator narrow(Object obj)

#### unchecked_narrow

    public static BindingIterator unchecked_narrow(Object obj)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.